#
# spec file for package python-zake
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-zake
Version:        0.2.1
Release:        3.1
Summary:        Testing utilities for the kazoo library
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/yahoo/Zake
Source:         https://pypi.python.org/packages/source/z/zake/zake-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-kazoo
BuildRequires:  python-nose
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  python-testtools
Requires:       python-kazoo
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A python package that works to provide a nice set of testing utilities for the kazoo library.

%prep
%setup -q -n zake-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Thu May 14 2015 benoit.monin@gmx.fr
- update to version 0.2.1:
  * Remove testtools as an install requirement
  * Changed attribute name "_child_watches" to "_child_watchers"
  * Update run_zookeeper.sh
- add runtime dependencies (python-kazoo, python-six) as build
  dependencies to ensure their availability
- remove python-testtools from runtime dependencies
- add test dependencies python-nose and python-testtools
- run the tests during build with nosetests
* Thu Feb 26 2015 tbechtold@suse.com
- update to version 0.2.0:
  * Allow FORCE=yes override
  * Update run_zookeeper.sh
  * Release 0.2.0
  * Ensure kill command is sent as byte string
  * Result from command() should be regular string, not bytes
  * Ensure commands are always byte strings
  * Release 0.1.8
  * Add basic envi command support
  * Release 0.1.7
  * Merge pull request #12 from kennethmyers/master
  * Changed attribute name "_data_watches" to "_data_watchers".
  * Unify the exception messaging for no node found
* Sat Feb 21 2015 dmueller@suse.com
- add dependency on testtools (which is needed during runtime)
* Tue Sep 16 2014 dmueller@suse.com
- update to 0.1.6:
  * Support for multi-client storage
  * Bugfixes
* Tue Jun 24 2014 dmueller@suse.com
- update to 0.0.20:
  * Added testsuite
  * Use concurrent.future for greater good
* Wed Apr  2 2014 speilicke@suse.com
- Initial version
